import java.awt.*;
import java.awt.event.*;

public class Zeichenflaeche implements WindowListener, ActionListener
{

    //das Frame
    private Frame frame;
    
    //drei Buttons
    private Button rb, kb, db;
    
    //ein Panel fr die Buttons
    private Panel panel;
    
    //eine Variable fr die Zeichenflche
    private MeinCanvas canvas;

    /**
     * Constructor for objects of class Zeichenflaeche
     */
    public Zeichenflaeche()
    {
       //ein Fenster anlegen
       frame = new Frame("Meine Zeichenflche");
       
       //Fenster einrichten
       frame.setSize(400,400);
       frame.addWindowListener(this);
       
       //drei Buttons anlegen
       rb = new Button("Rechteck");
       db = new Button("Dreieck");
       kb = new Button("Kreis");
       
       //ein Panel anlegen
       panel = new Panel();
       
       //Buttons in das Panel einfgen
       panel.add(rb);
       panel.add(db);
       panel.add(kb);
       
       //Button lauschen auf ActionListener Events
       rb.addActionListener(this);
       db.addActionListener(this);
       kb.addActionListener(this);
       
       //ActionCommand setzen
       rb.setActionCommand("rechteck");
       db.setActionCommand("dreieck");
       kb.setActionCommand("kreis");
       
       //Panel in das Frame einfgen
       frame.add(panel, BorderLayout.NORTH);
       
       //Canvas anlegen
       canvas = new MeinCanvas();
       
       //Canvas in das Frame einfgen
       frame.add(canvas, BorderLayout.CENTER);

       //Fenster sichtbar machen
       frame.setVisible(true);
    }
    
    //Methoden fr den WindowListener
    public void windowActivated(WindowEvent e)
    {
    }
    
    public void windowDeactivated(WindowEvent e)
    {}
    
    public void windowIconified(WindowEvent e)
    {
    }
    
    public void windowDeiconified(WindowEvent e)
    {
    }
    
    public void windowOpened(WindowEvent e)
    {
    }
    
    public void windowClosing(WindowEvent e)
    {
        frame.dispose();
    }
    
    public void windowClosed(WindowEvent e)
    {
        System.exit(0);
    }
    
    //Methode des ActionListeners
    public void actionPerformed(ActionEvent e)
    {
        String command = e.getActionCommand();
        
        if(command.equals("rechteck"))
        {
            canvas.setCommand(1);
        }
        else if(command.equals("dreieck"))
        {
            canvas.setCommand(2);
        }
        else
        {
            canvas.setCommand(3);
        }
        
        canvas.repaint();      
    }
  
    public static void main(String args[])
    {
        Zeichenflaeche z = new Zeichenflaeche();
    }
    
    
}
