import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class ZeichenflaecheApplet extends Applet 
implements ActionListener
{
    //drei Buttons
    private Button rb, kb, db;
    
    //ein Panel fr die Buttons
    private Panel panel;
    
    //eine Variable fr die Zeichenflche
    private MeinCanvas canvas;

    /**
     * Constructor for objects of class Zeichenflaeche
     */
    public void init()
    {
       //Fenster einrichten
       setSize(600,600);
       setVisible(true);
       
       //drei Buttons anlegen
       rb = new Button("Rechteck");
       db = new Button("Dreieck");
       kb = new Button("Kreis");
       
       //ein Panel anlegen
       panel = new Panel();
       
       //Buttons in das Panel einfgen
       panel.add(rb);
       panel.add(db);
       panel.add(kb);
       
       //Button lauschen auf ActionListener Events
       rb.addActionListener(this);
       db.addActionListener(this);
       kb.addActionListener(this);
       
       //ActionCommand setzen
       rb.setActionCommand("rechteck");
       db.setActionCommand("dreieck");
       kb.setActionCommand("kreis");
       
       //Panel in das Frame einfgen
       add(panel, BorderLayout.NORTH);
       
       //Canvas anlegen
       canvas = new MeinCanvas();
       
       //Canvas in das Frame einfgen
       add(canvas, BorderLayout.CENTER);
    }
    
    
    //Methode des ActionListeners
    public void actionPerformed(ActionEvent e)
    {
        String command = e.getActionCommand();
        
        if(command.equals("rechteck"))
        {
            canvas.setCommand(1);
        }
        else if(command.equals("dreieck"))
        {
            canvas.setCommand(2);
        }
        else
        {
            canvas.setCommand(3);
        }
        
        canvas.repaint();      
    }
  
}
